dnl======================================================================
dnl ROOT_OBJECTS
dnl   Check whether to build root objects ...
dnl======================================================================

AC_DEFUN([AC_GDS_ROOT_OBJECTS],
[ bld_dict="yes"
  echo $ECHO_N "checking whether to build root_objects ... $ECHO_C"
  AC_ARG_ENABLE([root_objects],
                AC_HELP_STRING([--enable-root-objects], 
                               [Build root dictionary in shared objects]),
               [bld_dict=${enableval}] )

  AS_CASE(["x$enable_root_objects"],
          ["x" | "xyes"],[
            AS_IF([test $buildtype = online],
                  [ AS_IF([test x$need_onlydtt = "xyes"],
                          [ AS_IF([test x$need_dttgui = "xno"],
                                  [bld_dict="no"],
                                  [bld_dict="yes"]) ],
                          [bld_dict="yes"])],
                  [bld_dict="no"])
          ],[
            bld_dict="no"
          ])
  AM_CONDITIONAL([root_dict], [test "$bld_dict" = "yes"])
  echo "$bld_dict"
])

